Get a lead by ID
GET
/leads/{leadId}
const url = 'https://apisandbox.puurk.com/leads/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://apisandbox.puurk.com/leads/example \ --header 'Authorization: Bearer <token>'Returns a single lead
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”leadId
required
string
ID of the lead
Responses
Section titled “Responses”Successful operation
Media typeapplication/json
object
id
string
oid
string
eid
string
first_name
required
string
last_name
required
string
phone_number
string
email_address
string
Example
{ "id": "HaFjsdk2141811fasF", "oid": "1249fDSZ6714ekjfFK", "first_name": "Jane", "last_name": "Doe", "phone_number": "+1544123456", "email_address": "janedoe@email.com"}Unauthorized
Lead not found